## linux-tools-3.10 3.10

=== debian/changelog ===
linux-tools-3.10 (3.10-4+rpi2) jessie-staging; urgency=medium

  * Add libiberty-dev to build-depends.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 31 Aug 2014 23:47:14 +0000

linux-tools-3.10 (3.10-4+rpi1) wheezy-staging; urgency=low

  * Rename source package to allow coexistance with other versions.
  * Remove usbip binary packages since their names don't contain the kernel
    version.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 22 Dec 2013 23:28:32 +0000

linux-tools (3.10-4) unstable; urgency=low

  * Sourceful upload for the perl 5.18 transition
  * usbip: Fix package version override to be binNMU-safe

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Aug 2013 12:44:56 +0100

linux-tools (3.10-3) unstable; urgency=low

  * linux-kbuild: Fix no-modules case in modpost wrapper (Closes: #719129)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2013 21:49:02 +0200

linux-tools (3.10-2) unstable; urgency=low

  * linux-kbuild: Fix use of getline() in modpost wrapper (Closes: #717195)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 18 Jul 2013 04:02:11 +0100

linux-tools (3.10-1) unstable; urgency=low

  * New upstream release

  [ Chris Boot ]
  * Update modpost-symbol-prefix.patch for 3.10

  [ Ben Hutchings ]
  * debian/patches: Add DEP-3 headers (From, Subject, Forwarded) to all patches
  * debian/copyright: Convert to machine-readable format (fka DEP-5)
  * debian/copyright: Add explanation of indirect linking of perf to OpenSSL
  * debian/rules.real: Remove support for pre-multiarch dpkg
  * Update policy version to 3.9.4
    - debian/rules: Implement build-arch and build-indep targets
  * linux-kbuild: Update modpost wrapper for 3.10
    - Implement the -T option

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 16 Jul 2013 13:29:22 +0100

linux-tools (3.9.4-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 Jun 2013 13:45:52 +0100

linux-tools (3.8.11-1) unstable; urgency=low

  * New upstream stable update

  [ Ben Hutchings ]
  * Upload to unstable (Closes: #707023)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 07 May 2013 02:11:16 +0100

linux-tools (3.8.2-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #702450)

  [ Ben Hutchings ]
  * linux-tools: Install bash_completion script for perf with a version-
    dependent name (Closes: #701790)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 07 Mar 2013 05:32:40 +0000

linux-tools (3.7.1-1~experimental.1) experimental; urgency=low

  * New upstream release

  [ Ben Hutchings ]
  * [amd64] linux-tools: Enable optimisations and special-casing of x86_64
    (Closes: #694759)

  [ Uwe Kleine-König ]
  * linux-kbuild: debian/control: Use Section: kernel (Closes: #545017)

 -- Jonathan Nieder <jrnieder@gmail.com>  Fri, 28 Dec 2012 09:29:53 -0800

linux-tools (3.6-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #690011)

  [ Ben Hutchings ]
  * genorig: Accept xz-compressed upstream tarballs and patches, and
    generate an xz-compressed orig tarball, thanks to Sedat Dilek
  * source: Enable xz-compression for debian directory tarball

  [ Jonathan Nieder ]
  * Add myself to uploaders list.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 24 Nov 2012 13:40:28 -0800

linux-tools (3.5-1~experimental.1) experimental; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 20 Aug 2012 00:57:12 +0100

linux-tools (3.4-1~experimental.1) experimental; urgency=low

  * New upstream release
  * Build-Depend on bison and flex, now required to build perf
  * Fix version insertion in perf man pages

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Jun 2012 20:51:12 +0100

linux-tools (3.3-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * linux-kbuild: debian/control: Set Multi-Arch: foreign
  * linux-tools: Build perf on alpha and hppa (Closes: #664834)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 24 Mar 2012 23:15:59 +0000

linux-tools (3.2.17-1) unstable; urgency=low

  * New upstream stable updates:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.15
    - modpost: fix ALL_INIT_DATA_SECTIONS
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.16
    - perf hists: Catch and handle out-of-date hist entry maps.
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.17
    - Perf: fix build breakage

  * Fix version insertion in perf man pages
  * Build usbip userland packages (Closes: #568362)
    - Do not build a shared library package; the API and ABI have changed
      from libusbip0 but there has been no upstream soversion change
  * usbipd: Enable TCP wrappers for access control

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jun 2012 02:52:26 +0100

linux-tools (3.2.7-2) unstable; urgency=high

  * Apply upstream changes to fix various buffer overflow bugs:
    - perf tools: Use scnprintf where applicable
    - perf tools: Incorrect use of snprintf results in SEGV

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 20 Mar 2012 04:54:22 +0000

linux-tools (3.2.7-1) unstable; urgency=low

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.7
    - perf tools: Fix perf stack to non executable on x86_64
    - perf evsel: Fix an issue where perf report fails to show the proper
      percentage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 05 Mar 2012 00:19:02 +0000

linux-tools (3.2.1-2) unstable; urgency=low

  * Add Vcs-{Svn,Browser} fields
  * Reduce minimum version of linux-base to 3.4~ to support backports

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 24 Jan 2012 04:26:24 +0000

linux-tools (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jan 2012 04:17:19 +0000

linux-tools (3.2~rc4-1~experimental.1) experimental; urgency=low

  * New upstream release candidate


